darcs

Issue 866 wish: distribute TortoisePlink with darcs on Windows

Title wish: distribute TortoisePlink with darcs on Windows
Priority not-our-bug Status wont-fix
Milestone Resolved in
Superseder pass through stderr from ssh (because ssh prompts can block)
View: 845
Nosy List darcs-devel, dmitry.kurochkin, eivuokko, jaredj, kowey, nieka, thorkilnaur, tommy, wglozer, zooko
Assigned To
Topics Windows

Created on 2008-05-19.15:26:34 by nieka, last changed 2009-08-27.13:59:35 by admin.

Messages
msg4775 (view) Author: nieka Date: 2008-05-19.15:26:33
Hello Bugs,

One way to fix the password problem with darcs win32 is to use
public key authentication. Another way is to use
the modified ssh.exe available from TortoiseCVS (TortoisePlink)
which uses dialog boxes to ask for passwords etc. Sources
can be downloaded here:

http://downloads.sourceforge.net/tortoisecvs/

I've packaged a working darcs for windows which can be found here:

http://daansystems.com/darcs.zip

It would be nice to put a somewhat newer darcs.exe in it.

Best regards,

Niek
msg4777 (view) Author: kowey Date: 2008-05-19.15:35:02
Hi,

Thanks for pointing this out.

I'm not sure what you mean by the password problem: the fact that you have type
your password more than once?  That should be fixed with darcs 2 (you'll need
darcs 2 on both ends).

We've also had a separate SSH-related problem, which we have fixed in issue845,
not specifically to passwords, but to putty prompting you if you wanted to add
the system to known-bugs.

Finally, we don't distribute binaries for darcs, but some of our users do, so
I'm hoping they will see this entry.  I'm going to mark this as not-our-bug and
wont-fix as we can't really do much about this.  Hopefully zooko or another user
can consider this for their Windows darcs build :-)
msg4778 (view) Author: kowey Date: 2008-05-19.15:35:54
Sorry for the noise.  Adding zooko because it seems he may want to see this.
History
Date User Action Args
2008-05-19 15:26:34niekacreate
2008-05-19 15:35:05koweysetstatus: unread -> wont-fix
topic: + Windows
title: darcs win32 and ssh password problem -> wish: distribute TortoisePlink with darcs on Windows
nosy: + wglozer, nieka, eivuokko, kowey, jaredj, - nieka
messages: + msg4777
priority: not-our-bug
superseder: + pass through stderr from ssh (because ssh prompts can block)
2008-05-19 15:35:55koweysetnosy: + zooko
messages: + msg4778
2008-05-20 09:05:54koweylinkissue865 superseder
2008-05-20 15:11:30koweylinkissue867 superseder
2009-08-06 21:05:22adminsetnosy: + dmitry.kurochkin, simon, thorkilnaur, - beschmi
2009-08-11 00:14:50adminsetnosy: - dagit
2009-08-25 18:11:09adminsetnosy: + darcs-devel, - simon
2009-08-27 13:59:35adminsetnosy: tommy, kowey, wglozer, darcs-devel, zooko, eivuokko, thorkilnaur, jaredj, dmitry.kurochkin, nieka